
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>extjs5(05--主界面上加入顶部和底部区域) / 憋错料</title>

    <meta name="description" content="extjs5(05--主界面上加入顶部和底部区域) 这一节为主界面加一个顶部区域和底部区域.一个管理系统的界面可以粗分为顶部标题部分.中间数据展示和处理的部分.底部备注和状态部分. 在增加这二个区域之前,我们先在MainModel.js中加入一些数据. 1 Ext.define('app.view.main.MainModel', { 2 extend: 'Ext.app.ViewModel', 3 4 alias: 'viewmodel.main', 5 6 data: { 7 name: 'app', 8 9 // 系统信息 10 syste">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">extjs5(05--主界面上加入顶部和底部区域)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1>这一节为主界面加一个顶部区域和底部区域。一个管理系统的界面可以粗分为顶部标题部分、中间数据展示和处理的部分、底部备注和状态部分。</h1>
<p>在增加这二个区域之前，我们先在MainModel.js中加入一些数据。</p>
<pre> 1 Ext.define(‘app.view.main.MainModel‘, {
 2     extend: ‘Ext.app.ViewModel‘,
 3
 4     alias: ‘viewmodel.main‘,
 5
 6     data: {
 7         name: ‘app‘,
 8
 9         // 系统信息
10         system: {
11             name: ‘工程项目合同及资金管理系统‘,
12             version: ‘5.2014.06.60‘,
13             iconUrl: ‘‘
14         },
15
16         // 用户单位信息和用户信息
17         user: {
18             company: ‘武当太极公司‘,
19             department: ‘工程部‘,
20             name: ‘张三丰‘
21         },
22
23         // 服务单位和服务人员信息
24         service: {
25             company: ‘无锡熙旺公司‘,
26             name: ‘蒋锋‘,
27             phonenumber: ‘1320528----‘,
28             qq: ‘78580822‘,
29             email: ‘[email&#160;protected]‘,
30             copyright: ‘熙旺公司‘
31         }
32     }
33     // TODO - add data, formulas and/or methods to support your view
34 });</pre>
<p>在上面的代码中，在data中增加了三个类型的数据，下面分别有些属性。这些值和属性以后可以从后台获得。比如说后台的系统名称改过了，前台刷新一下界面，就能展示新的system.name。这也符合我这个系统的开发宗旨，能够动态的信息尽量动态化，修改的时候只要在前台配置就可以，不要去修改后台的js或java代码。</p>
<p>下面在main的目录下加入二个文件，分别为Top.js和Bottom.js。目录结构如下：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LnFlZWZlZS5jb20vVXBsb2FkL3dsdy81MzEwNDg1NjMwODA1NTk3Mjg4LmpwZw==.jpg" /></p>
<p>Top.js定义了一个类，其类名为&lsquo;app.view.main.region.Top&rsquo;，注意其类名的前面和其路径是一致的。extjs的类加载机制就是根据类名来找到具体的类文件在哪里的。</p>
<pre> 1 /**
 2  * 系统主页的顶部区域，主要放置系统名称，菜单，和一些快捷按钮
 3  */
 4 Ext.define(‘app.view.main.region.Top‘, {
 5
 6     extend: ‘Ext.toolbar.Toolbar‘,
 7
 8     alias: ‘widget.maintop‘, // 定义了这个组件的xtype类型为maintop
 9
10     items: [{
11         xtype: ‘image‘,
12         bind: { // 数据绑定到MainModel中data的ystem.iconUrl
13             hidden: ‘{!system.iconUrl}‘, // 如果system.iconUrl未设置，则此image不显示
14             src: ‘{system.iconUrl}‘ // 根据system.iconUrl的设置来加载图片
15         }
16     }, {
17         xtype: ‘label‘,
18         bind: {
19             text: ‘{system.name}‘ // text值绑定到system.name
20         },
21         style: ‘font-size : 20px; color : blue;‘
22     }, {
23         xtype: ‘label‘,
24         bind: {
25             text: ‘{system.version}‘
26         }
27     }, ‘-&gt;‘, {
28         text: ‘菜单‘,
29         menu: [{
30             text: ‘工程管理‘,
31             menu: [{
32                 text: ‘工程项目‘
33             }, {
34                 text: ‘工程标段‘
35             }]
36         }]
37     }, ‘ ‘, ‘ ‘, {
38         text: ‘主页‘
39     }, {
40         text: ‘帮助‘
41     }, {
42         text: ‘关于‘
43     }, {
44         text: ‘注销‘
45     }, ‘-&gt;‘, ‘-&gt;‘, {
46         text: ‘设置‘
47     }]
48
49 });</pre>
<p>上面是Top.js类的定义，这是一个toolbar控件，里面加入了一些label和Button,用于显示系统名称以及用来实现一些操作。toolbar的items下默认的xtype是Button。源代码的注释里面也写入了如何绑定到MainModel 的数据的备注。</p>
<p>下面是Button.js的代码：</p>
<pre> 1 /**
 2  * 系统主页的底部区域，主要放置用户单位信息，服务单位和服务人员信息
 3  */
 4 Ext.define(‘app.view.main.region.Bottom‘, {
 5
 6     extend: ‘Ext.toolbar.Toolbar‘,
 7
 8     alias: ‘widget.mainbottom‘,
 9
10     items: [{
11         bind: {
12             text: ‘使用单位:{user.name}‘
13         }
14     }, {
15         bind: {
16             text: ‘用户:{user.name}‘
17         }
18     }, ‘-&gt;‘, {
19         bind: {
20             text: ‘服务单位:{service.company}‘
21         }
22     }, {
23         bind: {
24             text: ‘服务人员:{service.name}‘
25         }
26     }, {
27         bind: {
28             text: ‘tel:{service.phonenumber}‘
29         }
30     }, {
31         bind: {
32             hidden: ‘{!service.email}‘, // 绑定值前面加！表示取反，如果有email则不隐藏，如果email未设置，则隐藏
33             text: ‘eMail:{service.email}‘
34         }
35     }, {
36         bind: {
37             text: ‘&copy;{service.copyright}‘
38         }
39     }]
40 });</pre>
<p>至此要加入的二个js文件已经就绪，现在我们要把他们放到Main的主页面之中。Main.js也需要修改一下，需要引入上面这二个类，以及把他们放到items下，并设置好位置。</p>
<pre> 1 /**
 2  * This class is the main view for the application. It is specified in app.js as
 3  * the "autoCreateViewport" property. That setting automatically applies the
 4  * "viewport" plugin to promote that instance of this class to the body element.
 5  *
 6  * TODO - Replace this content of this view to suite the needs of your
 7  * application.
 8  */
 9 Ext.define(‘app.view.main.Main‘, {
10     extend: ‘Ext.container.Container‘,
11
12     xtype: ‘app-main‘,
13
14     uses: [‘app.view.main.region.Top‘, ‘app.view.main.region.Bottom‘],
15
16     controller: ‘main‘,
17     // MVVM架构的控制器的名称，会在当前路径中根据&lsquo;Main&rsquo; + Controller 来确定文件名
18     // 这个我没找到其他任何可以自动加载MainController.js的依据，只能作上面的判断了
19     viewModel: {
20         type: ‘main‘
21         // MVVM架构的viewModel的类型，会在当前路径中根据&lsquo;Main&rsquo; + Model 来确定文件名
22     },
23
24     layout: {
25         type: ‘border‘ // 系统的主页面的布局
26     },
27
28     items: [{
29         xtype: ‘maintop‘,
30         region: ‘north‘ // 把他放在最顶上
31     }, {
32         xtype: ‘mainbottom‘,
33         region: ‘south‘ // 把他放在最底下
34     }, {
35         xtype: ‘panel‘,
36         bind: {
37             title: ‘{name}‘
38         },
39         region: ‘west‘, // 左边面板
40         html: ‘&lt;ul&gt;&lt;li&gt;This area is commonly used for navigation, for example, using a "tree" component.&lt;/li&gt;&lt;/ul&gt;‘,
41         width: 250,
42         split: true,
43         tbar: [{
44             text: ‘Button‘,
45             handler: ‘onClickButton‘
46         }]
47     }, {
48         region: ‘center‘, // 中间面版
49         xtype: ‘tabpanel‘,
50         items: [{
51             title: ‘Tab 1‘,
52             html: ‘&lt;h2&gt;Content appropriate for the current navigation.&lt;/h2&gt;‘
53         }]
54     }]
55 });</pre>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LnFlZWZlZS5jb20vVXBsb2FkL3dsdy81NjIwOTY3OTIzNzU0MzAwODI4LmpwZw==.jpg" /></p>
<p>extjs中有许多布局，其中的一个border比较常用，他可以将items分成上、下、左、右、和中间五个部分。经过上面几步以后，在浏览器刷新一下网页，会看到如下结果：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LnFlZWZlZS5jb20vVXBsb2FkL3dsdy81MTE5NTYyNzU0MTcwMjU4MDYxLmpwZw==.jpg" /></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-04 00:36:34 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>extjs5(05--主界面上加入顶部和底部区域)的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0leDaB3.html" rel="bookmark">4、手把手教你Extjs5&lpar;四&rpar;主界面上加入顶部和底部区域</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这一节为主界面加一个顶部区域和底部区域.一个管理系统的界面可以粗分为顶部标题部分.中间数据展示和处理的部分.底部备注和状态部分. 在增加这二个区域之前,我们先在MainModel.js中加入一些数据. Ext.define('app.view.main.MainModel', { extend: 'Ext.app.ViewModel', alias: 'viewmodel.main', data: { name: 'app', // 系统信息 system: { name: '工程项目合同及资金			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vEgJa0.html" rel="bookmark">ExtJS5&lowbar;主界面上加入顶部和底部区域</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				为主界面加一个顶部区域和底部区域.一个管理系统的界面可以粗分为顶部标题部分.中间数据展示和处理的部分.底部备注和状态部分. 在增加这二个区域之前,我们先在MainModel.js中加入一些数据. Ext.define('app.view.main.MainModel', { extend : 'Ext.app.ViewModel', alias : 'viewmodel.main', data : { name : 'app', // 系统信息 system : { name : '工程项目合同			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGaeq63.html" rel="bookmark">跟我一起学extjs5&lpar;05--主界面上加入顶部和底部区域&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				跟我一起学extjs5(05--主界面上加入顶部和底部区域) 这一节为主界面加一个顶部区域和底部区域.一个管理系统的界面可以粗分为顶部标题部分.中间数据展示和处理的部分.底部备注和状态部分. 在增加这二个区域之前,我们先在MainModel.js中加入一些数据. Ext.define('app.view.main.MainModel', { extend : 'Ext.app.ViewModel', alias : 'viewmodel.main', data : { name : 'app',			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3r2WNg3.html" rel="bookmark">C&num;在工作线程刷新主界面控件状态小结，单例模式、委托</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今日项目开发中需要在服务器界面实时显示客户端连接状态,使用C#的反射机制解决了问题.由于项目比较复杂,现结合一个小例子,对使用C#委托反射机制刷新主界面上的控件状态进行简单小结,希望对新手有所帮助. 一.新建一个C# winform工程:Form_MainUI,界面布局如图1. 代码如下: 1 using System; 2 using System.Collections.Generic; 3 using System.ComponentModel; 4 using System.Data;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPZPOv3.html" rel="bookmark">&lpar;NO&period;00004&rpar;iOS实现打砖块游戏&lpar;二&rpar;&colon;实现游戏主界面动画</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大熊猫猪·侯佩原创或翻译作品.欢迎转载,转载请注明出处. 如果觉得写的不好请告诉我,如果觉得不错请多多支持点赞.谢谢! hopy ;) 一个内容不错的游戏也要一个好的包装.玩家进入游戏时第一眼看到的是将是游戏的主界面,如何生动的展示一个具有吸引力的界面就是本篇的主题.当然这里无法和商业游戏的主界面相比的,只是展示一下不用写什么代码,也可以把主界面做的比较活泼. 在主界面上添加静态元素 打开SpriteBuilder中的MainScene.ccb文件,将原有控件统统删掉,这时场景变得黑漆漆的一片.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kLOGP3.html" rel="bookmark">Android实例-手机安全卫士（五）-从主界面进入相应功能区（设置）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.目标 点击主界面上的图片进入相应功能区. 二.代码实现. 1.在程序包(com.example.mobilesafe)下新建类(SettingActivity)继承Activity,用于实现“设置中心”的各项功能,同时在layout文件夹下新建一个布局文件用于设计新建类的UI. 2.在新建类(SettingActivity)代码中复写onCreate方法,通过setContentView(int layoutResID)方法连接xml布局文件和新建类(SettingActivity). 3.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vgENL4.html" rel="bookmark">国产网络损伤仪SandStorm -- 主界面简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				国产网络损伤仪SandStorm可以模拟出带宽限制.时延.时延抖动.丢包.乱序.重复报文.误码.拥塞等网络状况,在实验室条件下准确可靠地测试出网络应用在真实网络环境中的性能,以帮助应用程序在上线部署前能够得到充分地测试,确保应用程序正常运行.国产网络损伤仪SandStorm是MiniSMB网络测试产品系列的成员之一,是移动应用程序开发验证必备神器.通过以下一幅图片就可以简明扼要地介绍一下国产网络损伤仪SandStorm主界面上的各种信息,实在太方便 原文地址:https://www.cnblog			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6zRP5M.html" rel="bookmark">重复点击主界面&lpar;TabBar&rpar;按钮刷新界面--点击状态栏回到顶部</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.监听按钮点击 2.判断是否是点击的同一个按钮(记录上次点击的按钮) 3.当重复点击相同按钮时,需要获取当前按钮对应控制器刷新界面 3.1 判断是否重复点击按钮,代码写在哪里? 点击标题按钮,属于精华控制器的事情,所以找到精华控制器.写在点击按钮方法里面 3.2怎么拿到按钮对应的控制器? 通过当前按钮的tag值,从精华控制器的子控制器数组中去 3.3怎么让对应的控制器刷新界面? 在对应的控制器里面提供刷新方法,这样每个控制器都要写,太麻烦 之前我们抽取了父类,只需要在父类中提供一个刷新界面方法			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kNxkzM.html" rel="bookmark">掌上快递之主界面篇&lpar;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概述 整体是通过2个Fragment+FragmentTabHost组合而成,本节主要针对Fragment1做一个总结,该Fragment主要实现以下功能 [1]输入快递单号或者扫描二维码 查询快递信息 [2]侧滑栏集成的百度地图可以显示附近快递点,方便选择合适自己的地点 本篇只总结主界面架构和功能1,先上图有个直观感受 1.主界面结构 Fragment+FragmentTabHost组合而成,其中整体的布局文件是在LinearLayout(vertical)的布局中嵌入了FrameLayout			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/L3rvYg3.html" rel="bookmark" class="title">CRM安装（二）</a>
					<div>
						7. 安装CRM Server及Reporting Extensions 我这里首先启用虚拟机中服务器的远程桌面连接,在 这台电脑 的属性中,点击左面的 远程设置,在弹出的对话框中选择 允许远程连接到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4125lXM.html" rel="bookmark" class="title">BZOJ 1485&colon; &lbrack;HNOI2009&rsqb;有趣的数列&lpar; catalan数 &rpar;</a>
					<div>
						打个表找一下规律可以发现...就是卡特兰数...卡特兰数可以用组合数计算.对于这道题,ans(n) = C(n, 2n) / (n+1) , 分解质因数去算就可以了... -------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3r2kZl3.html" rel="bookmark" class="title">Arduino显示PM2&period;5</a>
					<div>
						这代码一般都是复制过来,在小改下就行了 代码如下: #include &lt;Wire.h&gt; #include &lt;LiquidCrystal_I2C.h&gt; #include &lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49bE91M.html" rel="bookmark" class="title">PC蛋蛋我10天50万大揭秘</a>
					<div>
						以pc蛋蛋为例,非主动投注状态下,天天投注跨过50期的人持久来说是赢不了的.激动.翻倍是玩家杀手,很多老鸟劝诫菜鸟的警句,但该激动时照旧激动,该翻倍时照样翻倍,输了又能怨谁?大多半形式和技巧都是能够盈 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6NGyJM.html" rel="bookmark" class="title">Qt mac QMYSQL（动态加载插件QPluginLoader的用法）</a>
					<div>
						用此段代码查出问题所在 QPluginLoader loader; loader.setFileName(&quot;/Users/danny/Qt5.3.2/5.3/clang_64/plugins ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47NQ593.html" rel="bookmark" class="title">Python爬虫简单笔记</a>
					<div>
						Python2.7里内置了很多非常有用的库,它在我电脑上的位置在/usr/lib/python2.7中. 写个基本的爬虫要用到的库有urllib.urllib2.cookielib.sgmllib和r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vKgN64.html" rel="bookmark" class="title">Swift 枚举和结构</a>
					<div>
						枚举 使用enum创建枚举--注意 Swift 的枚举可以关联方法: 1 enum Rank: Int { 2 case Ace = 1 case Two, Three, Four, Five, Si ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qvnjW4.html" rel="bookmark" class="title">python2&period;6升级2&period;7的方法及升级后的故障处理</a>
					<div>
						vps上的python是2.6的,想升级到2.7 1.查看python的版本 #python  -V Python 2.6.6 2.下载python2.7 #wget http://python.or ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38LVaZ3.html" rel="bookmark" class="title">沟通的囧途</a>
					<div>
						多听多想少说 今天一同事跟代码,遇到问题.找我帮忙看下 我一看这种情况,没等同事说两种,就套用以前的经验,blabla的说个不停等我说过,同事结合我说的,说还有些不一样,因为人机命令我以前从头到尾做过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jn5jD0.html" rel="bookmark" class="title">前端-拖动物品的实现</a>
					<div>
						1,监听MouseEvent.MOUSE_DOWN 和MOUSE_UP事件. 2,DOWN的时候,清除物品,增加镜像,监听MOUSE_MOVE. 3,镜像跟着鼠标. 4,UP的时候移除镜像,和MOVE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mylevj4.html" rel="bookmark" class="title">Linux帮助手册</a>
					<div>
						如何使用帮助手册  1.如果需要改用户密码可以使用.        whatis  使用方法           格式: [[email protected] ~]# whatis rm        ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aYeGP0.html" rel="bookmark" class="title">Android心电动态显示及保存</a>
					<div>
						项目描述:下位机采集心电和心率数据通过蓝牙传给手机,手机将接收得到的心电数据用心电图描绘出来,同时显示心率值.每次采集的数据都会保存下来以便日后查询. 实现方案:包含几大部分:蓝牙传输部分,接收数据包 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Njaoo4.html" rel="bookmark" class="title">MySQL学习笔记07基于GTID的复制</a>
					<div>
						1.1.1. 相关概念 (1)GTID GTID是Global Transaction Identifier的缩写.GTID是一个跟提交的事务有关的标识符,由提交事务所在的原始MySQL的UUID和事 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPZvQa3.html" rel="bookmark" class="title">java基础（8）</a>
					<div>
						一.变量的作用域(有效的使用范围) 1.变量有2种 1.1成员变量(属性) 声明在类的里面,方法的外面 1.2 局部变量 声明在方法里面或for循环结构中 2.调用时的注意事项 2.1 成员变量,有默 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3Zq78d0.html" rel="bookmark" class="title">三电商同天开发布会，二手车正在成为资本下一个战场</a>
					<div>
						今日,优信二手车,瓜子二手车.车置宝三大竞争对手同一天开发布会,是碰巧还是故意?是送祝福还是挑衅?他们会发布什么呢? 来自最新的消息称,瓜子二手车宣布获得超4亿美元B轮融资,投资方包括H CAPITA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kloVl3.html" rel="bookmark" class="title">TCP&sol;IP笔记 应用层&lpar;3&rpar;&mdash;&mdash;HTTP</a>
					<div>
						1. URL URL(Uniform Resource Locator) 相当于一个文件名在网络范围的扩展. 1.1 格式 schema://host[:port#]/path/.../[?query ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3v1XWZ0.html" rel="bookmark" class="title">python3 - 动态添加属性以及方法</a>
					<div>
						给实例动态添加方法,需引入types模块,用其的MethodType(要绑定的方法名,实例对象)来进行绑定:给类绑定属性和方法,可以通过 实例名.方法名(属性名) = 方法名(属性值) 来进行绑定.给 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bK1p93.html" rel="bookmark" class="title">【新手向】Centos系统文件权限的系统阐述与演示</a>
					<div>
						在linux服务器日常管理中,我们会经常管理查看文件或者文件夹的权限内容以保证服务的正常运行.今天就和大家聊聊文件权限的那些事. 查看文件的权限情况可以用 ll 命令例: ll -d /kid #查看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k6lX7M.html" rel="bookmark" class="title">org&period;testng&period;TestNGException&colon; java&period;lang&period;NullPointerException解决方法</a>
					<div>
						对于刚使用testng的同学,可能会碰到很多奇怪的问题,我本人在项目下建了一个testSuite.xml文档,执行这个suite的时候就报空指针异常,如下图: 怎么解决呢?很简单,看下图操作就明白了, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OXpwP4.html" rel="bookmark" class="title">13-Flurry 移动统计工具</a>
					<div>
						Flurry analytics  SDK集成步骤及功能简介 1.Flurry analytics  SDK官网: http://www.flurry.com/flurry-analytics.htm ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.036 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
